[ Table Of Contents ]

# img-ico(n) 2.1 doc "Img"

## Name

img-ico - Windows icon format (ico)

## Synopsis

- package require img::ico ?2.1?

## Description

package require img::ico

Like all packages of Img it does not provide new commands, but extends the existing Tk command image, so that it supports files containing raster images in the Windows icon format (ico). More specifically img::ico extends Tk's photo image type.

The name of the new format handler is ico. This handler provides new additional configuration options. See section Options for more detailed explanations.

All of the above means that in a call like

image create photo ?name? ?options?

1. Image data in ico format (options -data and -file) is detected automatically.

2. The format name ico is recognized by the option -format.

In addition the value of option -format is treated as a list and may contain any of the special options listed in section Options.

The package img::ico is a sub-package of Img. It can be loaded as a part of the complete Img support, via package require Img, or on its own, via package require img::ico.

## Supported Types

This format handler supports the following image types:

- 1-bit pixels: Black and White.

- 4-bit pixels: Grayscale or indexed.

- 8-bit pixels: Grayscale or indexed.

- 24-bit pixels: Truecolor (GBR, 8-bit channels).

- 32-bit pixels: Truecolor (GBRA, 8-bit channels).

     Image  |     Read      |     Write     |
     type   | -file | -data | -file | -data |
     ----------------------------------------
      1-bit | Yes   | Yes   | No    | No    |
      4-bit | Yes   | Yes   | No    | No    |
      8-bit | Yes   | Yes   | Yes   | Yes   |
     24-bit | Yes   | Yes   | Yes   | Yes   |
     32-bit | Yes   | Yes   | No    | No    |

## Notes

1. Chapter Multi-page Images of the Img manual page describes the handling of images with multiple pages.

## Options

The handler provides the following options:

-verbose bool

  This option is supported for reading and writing. Available since version 1.3.

  If set to true, additional information about the read or written image is printed to stdout. Default is false.

-index integer

  This option is supported for reading only. Available since version 1.3.

  Read the page at specified index. The first page is at index 0. Default is 0.

## See Also

img, img-bmp, img-dted, img-flir, img-gif, img-ico, img-jpeg, img-pcx, img-pixmap, img-png, img-ppm, img-ps, img-raw, img-sgi, img-sun, img-tga, img-tiff, img-window, img-xbm, img-xpm

## Copyright

Copyright © 1995-2025 Jan Nijtmans <nijtmans@users.sourceforge.net>
Copyright © 2002-2025 Andreas Kupries <andreas_kupries@users.sourceforge.net>
Copyright © 2003-2025 Paul Obermeier <obermeier@users.sourceforge.net>